- Qt 6.6
- Qt Sensors
- C++ Classes
- QRotationSensor
- Qt 6.6.2 Reference Documentation

# QRotationSensor Class

The QRotationSensor class is a convenience wrapper around QSensor. More...

Header: | #include <QRotationSensor>
CMake: | find_package(Qt6 REQUIRED COMPONENTS Sensors) target_link_libraries(mytarget PRIVATE Qt6::Sensors)
qmake: | QT += sensors
Inherits: | QSensor

- List of all members, including inherited members

## Properties

- hasZ : const bool

## Public Functions

| QRotationSensor(QObject *parent = nullptr)
virtual | ~QRotationSensor()
bool | hasZ() const
QRotationReading * | reading() const
void | setHasZ(bool hasZ)

## Signals

void | hasZChanged(bool hasZ)

## Detailed Description

The only behavioural difference is that this class sets the type properly.

This class also features a reading() function that returns a QRotationReading instead of a QSensorReading.

For details about how the sensor works, see QRotationReading.

See also QRotationReading.

## Property Documentation

### `[read-only]` hasZ : const bool

This property holds a value indicating if the z angle is available.

Returns true if z is available. Returns false if z is not available.

Access functions:

bool | hasZ() const

Notifier signal:

void | hasZChanged(bool hasZ)

## Member Function Documentation

### `[explicit]` QRotationSensor::QRotationSensor(QObject *parent = nullptr)

Construct the sensor as a child of parent.

### `[virtual noexcept]` QRotationSensor::~QRotationSensor()

Destroy the sensor. Stops the sensor if it has not already been stopped.

### QRotationReading *QRotationSensor::reading() const

Returns the reading class for this sensor.

See also QSensor::reading().

### void QRotationSensor::setHasZ(bool hasZ)

Sets whether the z angle is available to hasZ. This is to be called from the backend. By default the hasZ property is true, so a backend only has to call this if its rotation sensor can not report z angles.

See also hasZ().